Bug 37138 - openvpn: Denial of service (3.2)
openvpn: Denial of service (3.2)
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Security updates
UCS 3.2
Other Linux
: P5 normal (vote)
: UCS 3.2-4-errata
Assigned To: Moritz Muehlenhoff
Janek Walkenhorst
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-12-02 07:58 CET by Moritz Muehlenhoff
Modified: 2014-12-08 15:41 CET (History)
0 users

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Moritz Muehlenhoff univentionstaff 2014-12-02 07:58:36 CET
CVE-2014-8104

OpenVPN clients using TLS authentication can crash the server by sending a malicious control channel packet to the server, resulting in denial of service.
Comment 1 Moritz Muehlenhoff univentionstaff 2014-12-02 14:44:36 CET
Fixed with patch CVE-2014-8104.patch

YAML file: 2014-12-02-openvpn.yaml
Comment 2 Janek Walkenhorst univentionstaff 2014-12-03 12:50:12 CET
Advisory: OK
Tests (amd64): OK
Patch: OK
Comment 3 Moritz Muehlenhoff univentionstaff 2014-12-03 14:49:44 CET
http://errata.univention.de/ucs/3.2/247.html